whiptail_0.52.20-8_i386.deb


Advertisement

Description

whiptail - Displays user-friendly dialog boxes from shell scripts

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename whiptail_0.52.20-8_i386.deb
Package name whiptail
Package version 0.52.20
Package release 8
Package architecture i386
Package type deb
Category implemented-in::c interface::TODO interface::text-mode role::program scope::utility use::viewing utils
Homepage https://pagure.io/newt
License -
Maintainer Alastair McKinstry <mckinstry@debian.org>
Download size 39.05 KB
Installed size 77.00 KB
Whiptail is a "dialog" replacement using newt instead of ncurses. It
provides a method of displaying several different types of dialog boxes
from shell scripts. This allows a developer of a script to interact with
the user in a much friendlier manner.

Alternatives

Package Version Architecture Repository
whiptail_0.52.20-8_amd64.deb 0.52.20 amd64 Debian Main
whiptail - - -

Requires

Name Value
libc6 >= 2.4
libnewt0.52 >= 0.52.20
libpopt0 >= 1.14
libslang2 >= 2.2.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package whiptail_0.52.20-8_i386.deb
Source Package newt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install whiptail deb package:
    # sudo apt-get install whiptail

Files

Path
/usr/bin/whiptail
/usr/share/bash-completion/completions/whiptail
/usr/share/doc/whiptail/NEWS.Debian.gz
/usr/share/doc/whiptail/README.whiptail
/usr/share/doc/whiptail/changelog.Debian.gz
/usr/share/doc/whiptail/changelog.gz
/usr/share/doc/whiptail/copyright
/usr/share/man/man1/whiptail.1.gz

Changelog

2018-09-27 - Alastair McKinstry <mckinstry@debian.org>
newt (0.52.20-8) unstable; urgency=medium
* Don't ship /etc/newt/palette.original. Closes: #909030
2018-09-17 - Alastair McKinstry <mckinstry@debian.org>
newt (0.52.20-7) unstable; urgency=medium
* Standards-Version: 4.2.1; no changes required
* Don't hard-code Automake version. Closes: #908739
* Grammar fix in description. Closes: #908740
* Close vcs reference bug. Closes: #572753
* Delete old palette.original files, too. Closes: #784390
2018-08-18 - Alastair McKinstry <mckinstry@debian.org>
newt (0.52.20-6) unstable; urgency=medium
* Bump automake version to 1.16. Closes: #906494
* Standards=Version: 4.2.0; no changes required
2018-06-28 - Alastair McKinstry <mckinstry@debian.org>
newt (0.52.20-5) unstable; urgency=medium
* Drop ancient X-Python*-Version statements from d/control
* Standards-Version: 4.1.4; no changes required
* Rebuild against python3.7
2018-03-19 - Alastair McKinstry <mckinstry@debian.org>
newt (0.52.20-4) unstable; urgency=medium
* Drop Priority: important for whiptail, to minimize system size.
Closes: #893563
* Replace dependency of newt-tcl from tcl8.3 | tcl8.4 | tcl8.5 to tcl8.6
since the package is built using Tcl 8.6. Closes: #893136
* Minor corrections to whiptail.1 by Bjarni Ingi Gislason. 
Closes: #890044
* Drop references to obsolete dbg packages, dependencies
2018-03-07 - Alastair McKinstry <mckinstry@debian.org>
newt (0.52.20-3) unstable; urgency=medium
* Create udeb. Closes: #871033
* Update watch file to look at releases.pagure.io
* Delete obsolete patches
* Set VCS to salsa.debian.org/mckinstry/newt
2018-01-30 - Alastair McKinstry <mckinstry@debian.org>
newt (0.52.20-2) unstable; urgency=medium
* Standards-Version: 4.1.3
* Drop Priority: extra in favour of optional
* Drop Priority: important on lib package
* Drop dh-autoconf, autoconf B-D as automatic on DH 10
* Change homepage to https://pagure.io/newt
* Drop broken VCS-Git
* Drop obsolete pre-depends
* Drop obsolete alternatives. Closes: #868056
* Delete old /etc/newt/palette if left over on previous install
* Fix fail-to-crossbuild due to Python dependencies.
Thanks to Helmut Grohe. Closes: #888300
2017-05-03 - Alastair McKinstry <mckinstry@debian.org>
newt (0.52.20-1) unstable; urgency=medium
* New upstream release. Closes: #847729
2016-10-15 - Alastair McKinstry <mckinstry@debian.org>
newt (0.52.19-1) unstable; urgency=medium
* New upstream release
- refresh patches. Lanugage patches merged upstream
* DH_COMPAT=10, with debhelper depends updated
* Standards-Version now 3.9.8
* Remove -dbg packages in favour of autogenerated -dbgsym packages
2015-12-29 - Alastair McKinstry <mckinstry@debian.org>
newt (0.52.18-2) unstable; urgency=medium
* bidi.patch: Look for libfribidi in multi-arch directory.
Closes: #794691
* Add comments to all patches.
* debhelper >= 9.20141010 required for multstage build
* Remove obsolete conffile. Closes: #793690
* Ack. bugs fixed in older versions: Closes: #351367, #714786, #5799412.
* Make python-* extensions Multi-Arch: same
* Add dh-python to Build-Depends.

See Also

Package Description
whiteboard_0.1~2-1_all.deb simple collaborative text editor for the web
whitedb_0.7.3-4_i386.deb lightweight NoSQL database library
whitedune-docs_0.30.10-2.2_all.deb documentation for whitedune
whitedune_0.30.10-2.2_i386.deb graphical VRML97/X3D viewer, editor, 3D modeller and animation tool
whizzytex_1.3.3-0.2_all.deb WYSIWYG emacs environment for LaTeX
whohas_0.29.1-1_all.deb query multiple distributions' package archives
whois_5.4.3_i386.deb intelligent WHOIS client
whowatch_1.8.6-1+b1_i386.deb Real-time user logins monitoring tool
why3-coq_1.2.0-1_i386.deb Coq support for the why3 verification platform
why3-doc-html_1.2.0-1_all.deb HTML Documentation of the why3 verification platform
why3-doc-pdf_1.2.0-1_all.deb PDF Documentation of the why3 verification platform
why3-examples_1.2.0-1_all.deb Examples for the why3 verification platform
why3_1.2.0-1_i386.deb Software verification platform
whysynth_20090403-1.2+b2_i386.deb DSSI Soft Synth Interface
whyteboard_0.41.1-6_all.deb overlay painting and annotation application
Advertisement
Advertisement